diff --git a/changelog b/changelog
index e8dd516..2590c21 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20091106 tpd src/axiom-website/patches.html 20091106.01.tpd.patch
+20091106 tpd src/input/Makefile add tuplebug.input
+20091106 tpd src/input/tuplebug.input test Tuple parsing error
 20091105 tpd src/axiom-website/patches.html 20091105.04.tpd.patch
 20091105 tpd src/Makefile create util.ht during interp build
 20091105 tpd src/axiom-website/patches.html 20091105.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2c324ff..0446115 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2237,5 +2237,7 @@ books/bookvol5 merge, remove of astr<br/>
 fix Tuple in compiles<br/>
 <a href="patches/20091105.04.tpd.patch">20091105.04.tpd.patch</a>
 src/Makefile create util.ht during interp build<br/>
+<a href="patches/20091106.01.tpd.patch">20091106.01.tpd.patch</a>
+src/input/tuplebug.input test Tuple parsing error<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index b2e4351..0f00495 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -391,7 +391,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     string.regress    strtbl.regress   summation.regress \
     symbol.regress    t111293.regress  table.regress    tancot.regress \
     tanhcoth.regress  tanatan.regress  tbagg.regress    test.regress \
-    textfile.regress  torus.regress \
+    textfile.regress  torus.regress    tuplebug.regress \
     tpiezas001.regress \
     tpiezas002.regress \
     triglim.regress   tsetcatvermeer.regress            tutchap1.regress \
@@ -714,6 +714,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/tree.input \
        ${OUT}/triglim.input  ${OUT}/tschirn.input ${OUT}/tsetcatbutcher.input \
        ${OUT}/tsetcatchemical.input ${OUT}/tsetcatvermeer.input \
+       ${OUT}/tuplebug.input \
        ${OUT}/tutchap1.input ${OUT}/tutchap2.input   ${OUT}/tutchap3.input \
        ${OUT}/tutchap4.input ${OUT}/tutchap67.input  ${OUT}/typetower.input \
        ${OUT}/typo.input     \
@@ -1083,6 +1084,7 @@ DOCFILES= \
   ${DOC}/tsetcatbutcher.input.dvi    \
   ${DOC}/tsetcatchemical.input.dvi   \
   ${DOC}/tsetcatvermeer.input.dvi    \
+  ${DOC}/tuplebug.input.dvi \
   ${DOC}/tutchap1.input.dvi    ${DOC}/tutchap2.input.dvi   \
   ${DOC}/tutchap3.input.dvi    ${DOC}/tutchap4.input.dvi   \
   ${DOC}/tutchap67.input.dvi   ${DOC}/typetower.input.dvi  \
diff --git a/src/input/tuplebug.input.pamphlet b/src/input/tuplebug.input.pamphlet
new file mode 100644
index 0000000..a0499cd
--- /dev/null
+++ b/src/input/tuplebug.input.pamphlet
@@ -0,0 +1,76 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input tuplebug.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{tuplebug.spad}
+)abbrev package BUG Bug
+Bug(R:Ring): with
+  bug: R -> (Tuple(R) -> Tuple(R))
+ == add
+  bug(dummy:R): Tuple(R) -> Tuple(R) == p +-> p
+\end{chunk}
+\begin{chunk}{*}
+)set break resume
+)spool tuplebug.output
+)set message test on
+)set message auto off
+)clear all
+)sys cp $AXIOM/../../src/input/tuplebug.input.pamphlet .
+)lisp (tangle "tuplebug.input.pamphlet" "tuplebug.spad" "tuplebug.spad")
+
+--S 1 of 1
+)co tuplebug
+--R 
+--R   Compiling AXIOM source code from file 
+--I      /research/test/int/input/tuplebug.spad using old system compiler.
+--R   BUG abbreviates package Bug 
+--R------------------------------------------------------------------------
+--R   initializing nrlib BUG for Bug 
+--R   compiling into nrlib BUG 
+--R   compiling exported bug : R -> Tuple R -> Tuple R
+--ITime: 0.01 SEC.
+--R
+--I(time taken in buildFunctor:  0 . NIL)
+--R
+--R;;;     ***       |Bug| REDEFINED
+--R
+--R;;;     ***       |Bug| REDEFINED
+--ITime: 0 SEC.
+--R
+--R 
+--R   Warnings: 
+--R      [1] bug:  p has no value
+--R 
+--R
+--R   Cumulative Statistics for Constructor Bug
+--I      Time: 0.01 seconds
+--R 
+--R   finalizing nrlib BUG 
+--R   Processing Bug for Browser database:
+--R--->-->Bug((bug ((Mapping (Tuple R) (Tuple R)) R))): Not documented!!!!
+--R--->-->Bug(constructor): Not documented!!!!
+--R--->-->Bug(): Missing Description
+--R------------------------------------------------------------------------
+--I   Bug is now explicitly exposed in frame frame0 
+--R   Bug will be automatically loaded when needed from 
+--I      /research/test/int/input/BUG.nrlib/code
+--R
+--E 1
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
+
+ 
